Developer News
Transitioning to Graph API v2.4

We are automatically upgrading users of Graph API v2.3 to v2.4 starting July 10, 2017 as part of the two-year deprecation cycle. To ensure a smooth transition from the current Graph API to a higher version, developers need to migrate all calls that are using v2.3 before July 10.

We shipped an important change in v2.4 that may impact apps using v2.3. To improve performance, we reduced the set of fields that our APIs return by default. Developers should call API v2.4 or higher and use the fields parameter to choose the fields they want the API to return. There are a number of features and permissions set to be deprecated with v2.3. See the platform v2.4 changelog for more details.

The API Upgrade Tool helps developers assess which calls will be affected by a higher version change.

Change your Code

If you are using the Android or iOS SDK, we recommend you upgrade to the latest SDK v4.2.3 (iOS and Android). If you are specifically calling Graph API v2.3, we recommend you modify your code to remove all references to v2.3.

Test your App

  1. Go to https://developers.facebook.com.
  2. In the top right hand corner, select your app by clicking on 'My Apps'.
  3. Go to 'Settings' → 'Advanced'.
  4. View your current settings . Switch the 'Upgrade Calls for App Roles' to 'Yes'. This will upgrade all API calls made by developers, admins, and testers to use v2.4.
View Current Settings

Keeping an app up-to-date with the latest Graph API version mitigates changes in future versions. We also recommend developers upgrade to v2.9 to save time from upgrading again in a couple of months, per the two-year deprecation cycle. Read more about Graph API versioning here.